/**
 * Optimized Context Provider - Splits stable and dynamic contexts for better performance
 */
import React, { FunctionComponent } from 'react';
import { TimelineProps as PropsModel, TextDensity } from '@models/TimelineModel';
export type ContextProps = PropsModel & {
    isMobile?: boolean;
    toggleDarkMode?: () => void;
    updateHorizontalAllCards?: (state: boolean) => void;
    updateTextContentDensity?: (value: TextDensity) => void;
};
interface OptimizedContextProviderProps extends Omit<ContextProps, 'children'> {
    children: React.ReactNode;
}
export declare const OptimizedContextProvider: FunctionComponent<OptimizedContextProviderProps>;
export {};
