import { FunctionComponent } from 'react';
import { ListModel } from './list.model';
/**
 * List component that renders selectable items with optional multi-select capability
 * @component
 * @param {Object} props - Component props
 * @param {Array<ListModel['items'][0]>} props.items - Array of items to render in the list
 * @param {string} props.theme - Theme configuration for styling
 * @param {(id: string) => void} [props.onClick] - Callback function when an item is clicked
 * @param {number} [props.activeItemIndex] - Index of the currently active item
 * @param {boolean} [props.multiSelectable=false] - Enable multi-select functionality
 * @returns {JSX.Element} Rendered list component
 */
declare const List: FunctionComponent<ListModel>;
export { List };
