import { MediaState } from '@models/TimelineMediaModel';
import { TimelineMode } from '@models/TimelineModel';
import React from 'react';
interface MediaContentProps {
    media: {
        type: string;
        source: {
            url: string;
        };
        name?: string;
    };
    isYouTube: boolean;
    loadFailed: boolean;
    mediaLoaded: boolean;
    active: boolean;
    id: string;
    mediaHeight: number;
    mode: TimelineMode;
    borderLessCards: boolean;
    mediaSettings: any;
    handleMediaLoaded: () => void;
    handleError: () => void;
    onMediaStateChange: (state: MediaState) => void;
}
/**
 * Renders the appropriate media content based on type (video, YouTube, image)
 */
export declare const MediaContent: React.MemoExoticComponent<({ media, isYouTube, loadFailed, mediaLoaded, active, id, mediaHeight, mode, borderLessCards, mediaSettings, handleMediaLoaded, handleError, onMediaStateChange, }: MediaContentProps) => import("react/jsx-runtime").JSX.Element>;
export {};
