import { ReactNode, ForwardRefExoticComponent } from 'react';
import { TextOrContentModel } from '../../timeline-card-content/text-or-content';
interface UseViewOptionsParams {
    showText: boolean;
    expandDetails: boolean;
    textOverlay: boolean;
    detailsText?: ForwardRefExoticComponent<TextOrContentModel>;
    title?: ReactNode;
    content?: ReactNode;
    theme: any;
    cardHeight: number;
    mediaHeight: number;
}
interface UseViewOptionsResult {
    canShowTextMemo: boolean;
    canShowTextContent: boolean;
    canExpand: boolean;
    gradientColor: string;
    canShowGradient: boolean;
    getCardHeight: number;
}
/**
 * Custom hook for handling view options and memoized calculated values
 */
export declare const useViewOptions: ({ showText, expandDetails, textOverlay, detailsText, title, content, theme, cardHeight, mediaHeight, }: UseViewOptionsParams) => UseViewOptionsResult;
export {};
