import { TimelinePointModel } from '@models/TimelineVerticalModel';
import { FunctionComponent } from 'react';
/**
 * Renders the circular point or icon on the timeline line for a vertical item.
 * Handles click events, active state highlighting, custom icons, and appearance
 * based on global theme and configuration settings. It uses React.memo for
 * performance optimization.
 *
 * @param {TimelinePointModel} props - The properties for the TimelinePoint component.
 * @returns {React.ReactElement} The rendered TimelinePoint component.
 */
declare const TimelinePoint: FunctionComponent<TimelinePointModel>;
export { TimelinePoint };
