import { VerticalItemModel } from '@models/TimelineVerticalModel';
import { FunctionComponent } from 'react';
/**
 * Represents a single item (row) in the vertical timeline.
 * It coordinates the display of the title, the central point/icon,
 * and the main content card based on the provided props and global context.
 *
 * @param {VerticalItemModel} props - The properties for the VerticalItem component.
 * @returns {JSX.Element} The rendered VerticalItem component.
 */
declare const VerticalItem: FunctionComponent<VerticalItemModel>;
export default VerticalItem;
