import { Theme } from '@models/Theme';
/**
 * Props for the TimelinePointWrapper component.
 */
interface TimelinePointWrapperProps {
    /** Indicates if the timeline item has no card content, affecting layout. */
    $cardLess?: boolean;
    /** Flag for mobile-specific styling adjustments. */
    $isMobile?: boolean;
    /** Background color for the timeline line and point elements. */
    bg?: string;
    /** Width of the timeline line. Defaults to 4px. */
    width?: number;
    theme?: Theme;
}
/**
 * Wrapper for the central point/icon on the timeline branch.
 * Handles positioning and the vertical lines connecting points.
 */
export declare const TimelinePointWrapper: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, TimelinePointWrapperProps>> & string;
/**
 * Props for the TimelinePointContainer component.
 */
interface TimelinePointContainerProps {
    /** Hides the point visually if true. */
    $hide?: boolean;
    theme?: Theme;
}
/**
 * Container for the actual timeline point/icon (e.g., a circle or custom icon).
 * This is often implemented as a button for accessibility/interactivity.
 */
export declare const TimelinePointContainer: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, TimelinePointContainerProps>> & string;
export {};
