import { TimelineVerticalModel } from '@models/TimelineVerticalModel';
import { FunctionComponent } from 'react';
/**
 * Renders the main vertical timeline structure.
 * It maps over the provided `items` array and renders a `TimelineVerticalItem`
 * for each, handling layout variations (like alternating cards) and distributing
 * props and callbacks appropriately.
 *
 * @param {TimelineVerticalModel} props - The properties for the TimelineVertical component.
 * @returns {JSX.Element} The rendered TimelineVertical component.
 */
declare const TimelineVertical: FunctionComponent<TimelineVerticalModel>;
export default TimelineVertical;
