interface UseSlideshowProgressProps {
    /** Whether the slideshow is currently running */
    slideShowRunning: boolean;
    /** Current active timeline item index */
    activeTimelineItem: number;
    /** Total number of timeline items */
    totalItems: number;
    /** Duration of each slide in milliseconds */
    slideItemDuration: number;
}
interface SlideshowProgressState {
    /** Whether the slideshow progress is paused */
    isPaused: boolean;
    /** Pause the slideshow progress */
    pauseProgress: () => void;
    /** Resume the slideshow progress */
    resumeProgress: () => void;
}
/**
 * Custom hook to manage overall slideshow progress state
 * Optimized for performance with better timeout management
 */
export declare const useSlideshowProgress: ({ slideShowRunning, activeTimelineItem, totalItems, slideItemDuration, }: UseSlideshowProgressProps) => SlideshowProgressState;
export {};
